<?php
/*********Namaste Sidebars**************/
if ( ! function_exists( 'namaste_sidebars_widgets_init' ) ) {
function namaste_sidebars_widgets_init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Main Sidebar', 'namaste-lite'),
        'id' => 'namaste_main_sidebar',
        'description' => esc_attr__( 'Main Sidebar Widget Area', 'namaste-lite' ),
        'before_widget' 	=> '<ul><li id="%1$s" class="widget-container %2$s"><div class="box">',
		'after_widget' 		=> '<div class="clear"></div></div></li></ul>',
		'before_title' 		=> '<h3 class="widget-title">',
		'after_title' 			=> '</h3>',
    ));
}
add_action( 'widgets_init', 'namaste_sidebars_widgets_init' );
}

function namaste_footer_sidebar_init(){
	
if ( function_exists( 'fw_get_db_customizer_option') ) {
	$footcolumn = fw_get_db_customizer_option( 'footer_column');
  } else {
  	$footcolumn = '3' ;
  }
	//get column
	if($footcolumn=="1"){
		$typecol = "col-12";
	}elseif($footcolumn=="2"){
		$typecol = "col-6";
	}elseif($footcolumn=="3"){
		$typecol = "col-4";
	}elseif($footcolumn=="4"){
		$typecol = "col-3";
	}elseif($footcolumn=="5"){
		$typecol = "col-1-5";
	}else{
		$typecol = "col-2";
	}
	
	register_sidebar(array(
		'name'          => __('Footer Sidebar', 'namaste-lite' ),
		'id'         	=> 'footer',
		'description'   => __( 'Located at the footer column.', 'namaste-lite' ),
		'before_widget' => '<div class="' . esc_attr($typecol) . '"><div class="widget-footer"><ul><li id="%1$s" class="widget-container %2$s">',
		'after_widget' 	=> '<div class="clear"></div></li></ul><div class="clear"></div></div></div>',
		'before_title' 	=> '<h3 class="widget-title">',
		'after_title' 	=> '</h3>',
	));
	
}

/** Register sidebars by running namaste_sidebar_init() on the widgets_init hook. */
add_action( 'widgets_init', 'namaste_footer_sidebar_init' );